Subject: Re: bug#57626: 13.1.4; cases* environment doesn't let me use $

From: Arash Esbati <[email-masked]>
Date: Wed, 14 Sep 2022 09:41:07 +0200

Hi Keita,

Ikumi Keita <[email-masked]> writes:

>>>>>> Wierdl Máté <[email-masked]> writes:
>> In my opinion (just a longtime user's opinion), this direction of "let us
>> prevent the user from making a mistake as he types" doesn't seem essential,
>
> I feel similarly.
>
> I began to think that `TeX-insert-dollar' should behave the same way as
> in non-math mode when `texmathp' thinks that math mode didn't start with
> dollar(s), possibly with a warning message.

Sure, we can relax the behavior of `TeX-insert-dollar', I don't object.
Would it make sense to introduce a custom variable for this?

Best, Arash